package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinUser;
import com.liquidnet.service.account.wallet.entity.FinUserExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface FinUserMapper {
    int countByExample(FinUserExample example);

    int insert(FinUser record);

    int insertSelective(FinUser record);

    List<FinUser> selectByExample(FinUserExample example);

    FinUser selectByPrimaryKey(String finId);

    int updateByExampleSelective(@Param("record") FinUser record, @Param("example") FinUserExample example);

    int updateByExample(@Param("record") FinUser record, @Param("example") FinUserExample example);

    int updateByPrimaryKeySelective(FinUser record);

    int updateByPrimaryKey(FinUser record);
}